Skip to contents

# This function rescales a vector of numerical values with a Sigmoidal transformation

Source: `R/rescalers.R`
`sigmoid_scaler.Rd`

This function rescales a vector of numerical values with a Sigmoidal transformation

## Usage

    sigmoid_scaler(x, unitInt = TRUE)

## Arguments

x

  a numeric vector, preferably of feature values computed by other `theft` package functions

unitInt

  Booelan whether to rescale Sigmoidal outputs into unit interval `[0,1]`. Defaults to `TRUE`

## Value

x a numeric rescaled vector

## Author

Trent Henderson

## Examples

    sigmoid_scaler(stats::rnorm(10))
    #>  [1] 0.8680223 0.6002433 0.6140205 0.5159792 0.3013074 1.0000000 0.6464569
    #>  [8] 0.0000000 0.7129473 0.3262809